For the complete documentation index, see llms.txt. This page is also available as Markdown.

List pricing policy attachments

Retrieve a list of pricing policy attachments.

get
Path parameters
pricingPolicyIdstringRequired
Responses
200

OK

application/json
get/public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments
GET /public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "type": "text",
      "size": 1,
      "description": "text",
      "fileName": "text",
      "contentType": "text",
      "status": "text",
      "pricingPolicy": {
        "id": "text",
        "name": "text",
        "revision": 1,
        "client": {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active",
          "externalIds": {
            "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
          },
          "externalId": "text",
          "externalName": "text",
          "address": {
            "addressLine1": "text",
            "addressLine2": "text",
            "postCode": "text",
            "city": "text",
            "state": "text",
            "country": "text"
          },
          "technicalSupportEmail": "text",
          "website": "text",
          "description": "text",
          "groups": [
            {
              "id": "text",
              "name": "text",
              "revision": 1,
              "description": "text",
              "logo": "text",
              "isDefault": true
            }
          ],
          "eligibility": {
            "client": true,
            "partner": true
          },
          "defaultLanguageCode": "text"
        },
        "eligibility": {
          "client": true,
          "partner": true
        },
        "products": [
          {
            "id": "text",
            "audit": {
              "created": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "updated": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "published": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "pending": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "unpublished": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              }
            },
            "$meta": {
              "omitted": [
                "text"
              ]
            },
            "name": "text",
            "icon": "text",
            "revision": 1,
            "shortDescription": "text",
            "longDescription": "text",
            "externalIds": {
              "operations": "text",
              "defaultErpItem": "text"
            },
            "website": "text",
            "status": "text",
            "vendor": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1,
              "type": "Client",
              "status": "Active"
            },
            "settings": {
              "productOrdering": true,
              "productRequests": {
                "enabled": true,
                "name": "text",
                "label": "text"
              },
              "itemSelection": true,
              "orderQueueChanges": true,
              "preValidation": {
                "purchaseOrderDraft": true,
                "purchaseOrderQuerying": true,
                "changeOrderDraft": true,
                "configurationOrderDraft": true,
                "terminationOrder": true
              },
              "splitBilling": {
                "enabled": true,
                "type": "text"
              },
              "sendCostToErp": true,
              "subscriptionCessation": {
                "enabled": true,
                "mode": "Termination"
              },
              "suspendResume": {
                "vendor": true,
                "operations": true
              },
              "customConfigurationOrders": true
            },
            "statistics": {
              "itemCount": 1,
              "ordersPlacedCount": 1,
              "agreementCount": 1,
              "subscriptionCount": 1,
              "addonCount": 1
            }
          }
        ]
      }
    }
  ]
}

Last updated

Was this helpful?